Summary:        A general purpose TCP-IP emulator
Name:           libslirp
Version:        4.7.0
Release:        4%{?dist}
License:        BSD and MIT
URL:            https://gitlab.freedesktop.org/slirp/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  git-core glib2-devel

%description
This package implements a generic TCP-IP emulator used by virtual machine hypervisors to 
provide virtual network services.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup -S git_am

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYRIGHT
%doc README.md CHANGELOG.md
%{_libdir}/%{name}.so.0*

%files devel
%dir %{_includedir}/slirp/
%{_includedir}/slirp/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/slirp.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Wang Guodong <gordonwwang@tencent.com> - 4.7.0-1
- package init.
